- name: Get Roles UUID 
  uri:
    url: https://{{ config.keycloak.fqdn  }}/auth/admin/realms/{{ config.keycloak.realm }}/clients/{{ realm_management_uuid }}/roles/{{ rolename }}
    method: GET
    headers: 
      Authorization: "Bearer {{ keycloak_tokens.json.access_token }}"
    validate_certs: "{{ config.system.validate_certs }}"
  register: realm_management_role

- name: Give the service account roles to manage clients
  uri:
    url: https://{{ config.keycloak.fqdn }}/auth/admin/realms/{{ config.keycloak.realm }}/users/{{ service_account_platform_cli_uuid }}/role-mappings/clients/{{ realm_management_uuid }}
    method: POST
    validate_certs: "{{ config.system.validate_certs }}"
    headers:
      Authorization: "Bearer {{ keycloak_tokens.json.access_token }}"
      Cache-Control: no-cache
    body: [{
      id: "{{ realm_management_role.json.id }}", 
      name: "{{ rolename }}"
      }]
    body_format: json
    status_code: 204
